$(document).ready(function() {
    $("body").on("keyup", ".ssearch", getSearchData);
    $("body").on("click", ".sload", getSearchData);
    $("body").on("click", "#search", getSearchData);

    //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
    $(".snoRecord").hide();
    $(".sloader").hide();


    var imrangeFrom = 0,
        imrangeTo = 40;

    function getSearchData(pagination) {

        $(".sloader").show();

        if (pagination == 'prev') {
            if (imrangeFrom > 0) {
                imrangeFrom = (imrangeFrom - 40);
                imrangeTo = (imrangeTo - 40);
            }
        }
        if (pagination == 'next') {
            imrangeFrom = (imrangeFrom + 40);
            imrangeTo = (imrangeTo + 40);
        }

        var series = $(".series").val(),
            vouchno = $(".vouchno").val(),
            ssearch = $(".ssearch").val(),
            sfield = $(".sfield").val(),
            sortBy = $(".sortBy").val(),
            orderAs = $(".orderAs").val(),
            soperator = $(".soperator").val(),
            data = {
                ssearch: ssearch,
                sfield: sfield,
                sortBy: sortBy,
                orderAs: orderAs,
                soperator: soperator,
                series: series,
                vouchno: vouchno,
                rangeFrom: imrangeFrom,
                rangeTo: imrangeTo
            },
            values = "";
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "onlent_demo_search.php",
            data: data,
            success: function(response) {
                if (response == "") {
                    $(".snoRecord").show();
                    $(".snext").hide();
                } else {
                    $(".snext").show();
                    $(".snoRecord").hide();

                    $.each(response, function() {
                        values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
                            "<td align='left'>" + this.vouchno + "</td>" +
                            "<td align='left'>" + this.vouchdt + "</td>" +
                           "<td align='right'>" + this.ttotqty + "</td>" +
                            "<td align='left'><a href='" + this.action + "' ><i class='fa fa-pencil'></i></a></td>" +
                            "</tr>";
                    });
                    $(".sloader").hide();
                    $(".sTbody").empty();
                    $(".sTbody").html(values);
                    if (response) {
                        $(".search-action-bar").show();
                    }
                }
            },
            error: function(request, textStatus, errorThrown) {

            }
        });
    }
    $("#search").click(function() {
        $(".searchModal").on('shown.bs.modal', function() {
            $(".ssearch").focus();
            $(".ssearch").val("");
            $(".sfield").val("1");
            getSearchData();
        });

        getSearchData();
    });
    $(".sprev").click(function() {
        getSearchData('prev');
    });
    $(".snext").click(function() {
        getSearchData('next');
    });


    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////
});